Bug 98790 - "Re-Sending: ATZ" loses sync with quick modem "ATZ\r\r\nOK\r\n"
"Re-Sending: ATZ" loses sync with quick modem "ATZ\r\r\nOK\r\n"
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 15:39 EDT by John Reiser
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:12:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f wvdial <provider_name> (23.69 KB, text/plain)
2003-07-08 15:41 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2003-07-08 15:39:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
After RedHat > System Settings > Network > Activate modem connection fails (bug
98786), then manually using wvdial fails because it loses synchronization while
talking ASCII with the modem.  wvdial sends "ATZ\r", the USB modem replies
"ATZ\r\r\nOK\r\n" all at once, but wvdial was not expecting the OK that soon. 
wvdial then alternates ATZ and ATQ0 several times, but never regains sync, and
eventually gives up.  So wvdial should be smarter about "quick OK" from the modem.

Version-Release number of selected component (if applicable):
wvdial-1.53-9

How reproducible:
Always

Steps to Reproduce:
1.Get to bug 98786: "Cannot activate network device <provider_name>! Failed to
activate ppp0 with error 28".
2.Manually "wvdial <provider_name>"
3.
    

Actual Results:  wvdial never recognizes "ATZ\r\r\nOK\r\n" from the modem.

Expected Results:  wvdial recognizes "ATZ\r\r\nOK\r\n" from the modem.


Additional info: I will attach an strace of a failing instance.
Comment 1 John Reiser 2003-07-08 15:41:29 EDT
Created attachment 92809 [details]
strace -f wvdial <provider_name>

Note that modem responds "ATZ\r\r\nOK\r\n" all at once, which should be fine.
Comment 2 John Reiser 2003-07-08 23:41:44 EDT
Replace both references to bug 98786 (above) with bug 98781 instead.  Sorry.
Comment 3 Bill Nottingham 2006-08-05 01:13:22 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 14:12:59 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.